package com.casic.PgInterface.maintenance.domain;


import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "PG_ASSET_INSPECTION_PLAN")
@SequenceGenerator(name = "SEQ_PG_ASSET_PLAN_ID", sequenceName = "SEQ_PG_ASSET_PLAN_ID", allocationSize = 1, initialValue = 1)
public class PgAssetPlan implements Serializable {

    private static final long serialVersionUID = 1L;
    private Long id;
    private String KEY_ID;//唯一键值
    private String PLAN_NAME;//巡检计划名称
    private String INSPECTION_PERSON;//巡检人
    private String START_DATE;//巡检开始时间
    private String END_DATE;
    private String FREQUENCY;//巡检频率
    private String STATE;//状态
    private String RESPONSIBLE_DEPT;//负责单位/部门/小组
    private String PLAN_NO;//巡检计划编号
    private String INSPECTION_TYPE;//巡检类型
    private String INSPECTION_MODE;//巡检方式
    private String INSPECTION_ROUTE;//巡检路线
    private String INSPECTION_START_TIME;//巡检开始时间
    private String INSPECTION_END_TIME;//巡检结束时间
    private String INSPECTION_PRACE;//巡检地点
    private String INSPECTION_GROUP;//巡检部门
    private String INSERT_TIME;//插入时间
    private String FREQUENCYDATE;//巡检具体日期
    private String FREQUENCYTIME;//巡检具体时间
    private String CREATEDATE;//创建时间
    private String CREATOR;//创建人
    private String PROJECT;//项目
    private String COMLILE;//编制人
    private String START_TIME;//编制时间
    private String DEVELOP_DEPT;//制定部门
    private String END_TIME;//结束时间
    private String START_PILE_NO;//开始桩号
    private String END_PILE_NO;//结束桩号
    private String BUILD_CABIN;//巡检舱室
    private String MILEAGE;
    private String FREQUENCY_TIME;//巡检具体时间
    private String FREQUENCYTIME_END;
    private String KETTLE_TS;
    private String UPDATEDATE;

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "SEQ_PG_ASSET_PLAN_ID")
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Column(name="KEY_ID")
    public String getKEY_ID() {
        return KEY_ID;
    }

    public void setKEY_ID(String KEY_ID) {
        this.KEY_ID = KEY_ID;
    }

    @Column(name="PLAN_NAME")
    public String getPLAN_NAME() {
        return PLAN_NAME;
    }

    public void setPLAN_NAME(String PLAN_NAME) {
        this.PLAN_NAME = PLAN_NAME;
    }

    @Column(name="INSPECTION_PERSON")
    public String getINSPECTION_PERSON() {
        return INSPECTION_PERSON;
    }

    public void setINSPECTION_PERSON(String INSPECTION_PERSON) {
        this.INSPECTION_PERSON = INSPECTION_PERSON;
    }

    @Column(name="START_DATE")
    public String getSTART_DATE() {
        return START_DATE;
    }

    public void setSTART_DATE(String START_DATE) {
        this.START_DATE = START_DATE;
    }

    @Column(name="END_DATE")
    public String getEND_DATE() {
        return END_DATE;
    }

    public void setEND_DATE(String END_DATE) {
        this.END_DATE = END_DATE;
    }

    @Column(name="FREQUENCY")
    public String getFREQUENCY() {
        return FREQUENCY;
    }

    public void setFREQUENCY(String FREQUENCY) {
        this.FREQUENCY = FREQUENCY;
    }

    @Column(name="STATE")
    public String getSTATE() {
        return STATE;
    }

    public void setSTATE(String STATE) {
        this.STATE = STATE;
    }

    @Column(name="RESPONSIBLE_DEPT")
    public String getRESPONSIBLE_DEPT() {
        return RESPONSIBLE_DEPT;
    }

    public void setRESPONSIBLE_DEPT(String RESPONSIBLE_DEPT) {
        this.RESPONSIBLE_DEPT = RESPONSIBLE_DEPT;
    }

    @Column(name="PLAN_NO")
    public String getPLAN_NO() {
        return PLAN_NO;
    }

    public void setPLAN_NO(String PLAN_NO) {
        this.PLAN_NO = PLAN_NO;
    }

    @Column(name="INSPECTION_TYPE")
    public String getINSPECTION_TYPE() {
        return INSPECTION_TYPE;
    }

    public void setINSPECTION_TYPE(String INSPECTION_TYPE) {
        this.INSPECTION_TYPE = INSPECTION_TYPE;
    }

    @Column(name="INSPECTION_MODE")
    public String getINSPECTION_MODE() {
        return INSPECTION_MODE;
    }

    public void setINSPECTION_MODE(String INSPECTION_MODE) {
        this.INSPECTION_MODE = INSPECTION_MODE;
    }

    @Column(name="INSPECTION_ROUTE")
    public String getINSPECTION_ROUTE() {
        return INSPECTION_ROUTE;
    }

    public void setINSPECTION_ROUTE(String INSPECTION_ROUTE) {
        this.INSPECTION_ROUTE = INSPECTION_ROUTE;
    }

    @Column(name="INSPECTION_START_TIME")
    public String getINSPECTION_START_TIME() {
        return INSPECTION_START_TIME;
    }

    public void setINSPECTION_START_TIME(String INSPECTION_START_TIME) {
        this.INSPECTION_START_TIME = INSPECTION_START_TIME;
    }

    @Column(name="INSPECTION_END_TIME")
    public String getINSPECTION_END_TIME() {
        return INSPECTION_END_TIME;
    }

    public void setINSPECTION_END_TIME(String INSPECTION_END_TIME) {
        this.INSPECTION_END_TIME = INSPECTION_END_TIME;
    }

    @Column(name="INSPECTION_PRACE")
    public String getINSPECTION_PRACE() {
        return INSPECTION_PRACE;
    }

    public void setINSPECTION_PRACE(String INSPECTION_PRACE) {
        this.INSPECTION_PRACE = INSPECTION_PRACE;
    }

    @Column(name="INSPECTION_GROUP")
    public String getINSPECTION_GROUP() {
        return INSPECTION_GROUP;
    }

    public void setINSPECTION_GROUP(String INSPECTION_GROUP) {
        this.INSPECTION_GROUP = INSPECTION_GROUP;
    }

    @Column(name="INSERT_TIME")
    public String getINSERT_TIME() {
        return INSERT_TIME;
    }

    public void setINSERT_TIME(String INSERT_TIME) {
        this.INSERT_TIME = INSERT_TIME;
    }

    @Column(name="FREQUENCYDATE")
    public String getFREQUENCYDATE() {
        return FREQUENCYDATE;
    }

    public void setFREQUENCYDATE(String FREQUENCYDATE) {
        this.FREQUENCYDATE = FREQUENCYDATE;
    }

    @Column(name="FREQUENCYTIME")
    public String getFREQUENCYTIME() {
        return FREQUENCYTIME;
    }

    public void setFREQUENCYTIME(String FREQUENCYTIME) {
        this.FREQUENCYTIME = FREQUENCYTIME;
    }

    @Column(name="CREATEDATE")
    public String getCREATEDATE() {
        return CREATEDATE;
    }

    public void setCREATEDATE(String CREATEDATE) {
        this.CREATEDATE = CREATEDATE;
    }

    @Column(name="CREATOR")
    public String getCREATOR() {
        return CREATOR;
    }

    public void setCREATOR(String CREATOR) {
        this.CREATOR = CREATOR;
    }

    @Column(name="PROJECT")
    public String getPROJECT() {
        return PROJECT;
    }

    public void setPROJECT(String PROJECT) {
        this.PROJECT = PROJECT;
    }

    @Column(name="COMLILE")
    public String getCOMLILE() {
        return COMLILE;
    }

    public void setCOMLILE(String COMLILE) {
        this.COMLILE = COMLILE;
    }

    @Column(name="START_TIME")
    public String getSTART_TIME() {
        return START_TIME;
    }

    public void setSTART_TIME(String START_TIME) {
        this.START_TIME = START_TIME;
    }

    @Column(name="DEVELOP_DEPT")
    public String getDEVELOP_DEPT() {
        return DEVELOP_DEPT;
    }

    public void setDEVELOP_DEPT(String DEVELOP_DEPT) {
        this.DEVELOP_DEPT = DEVELOP_DEPT;
    }

    @Column(name="END_TIME")
    public String getEND_TIME() {
        return END_TIME;
    }

    public void setEND_TIME(String END_TIME) {
        this.END_TIME = END_TIME;
    }

    @Column(name="START_PILE_NO")
    public String getSTART_PILE_NO() {
        return START_PILE_NO;
    }

    public void setSTART_PILE_NO(String START_PILE_NO) {
        this.START_PILE_NO = START_PILE_NO;
    }

    @Column(name="END_PILE_NO")
    public String getEND_PILE_NO() {
        return END_PILE_NO;
    }

    public void setEND_PILE_NO(String END_PILE_NO) {
        this.END_PILE_NO = END_PILE_NO;
    }

    @Column(name="BUILD_CABIN")
    public String getBUILD_CABIN() {
        return BUILD_CABIN;
    }

    public void setBUILD_CABIN(String BUILD_CABIN) {
        this.BUILD_CABIN = BUILD_CABIN;
    }

    @Column(name="MILEAGE")
    public String getMILEAGE() {
        return MILEAGE;
    }

    public void setMILEAGE(String MILEAGE) {
        this.MILEAGE = MILEAGE;
    }

    @Column(name="FREQUENCY_TIME")
    public String getFREQUENCY_TIME() {
        return FREQUENCY_TIME;
    }

    public void setFREQUENCY_TIME(String FREQUENCY_TIME) {
        this.FREQUENCY_TIME = FREQUENCY_TIME;
    }

    @Column(name="FREQUENCYTIME_END")
    public String getFREQUENCYTIME_END() {
        return FREQUENCYTIME_END;
    }

    public void setFREQUENCYTIME_END(String FREQUENCYTIME_END) {
        this.FREQUENCYTIME_END = FREQUENCYTIME_END;
    }

    @Column(name="KETTLE_TS")
    public String getKETTLE_TS() {
        return KETTLE_TS;
    }

    public void setKETTLE_TS(String KETTLE_TS) {
        this.KETTLE_TS = KETTLE_TS;
    }

    @Column(name="UPDATEDATE")
    public String getUPDATEDATE() {
        return UPDATEDATE;
    }

    public void setUPDATEDATE(String UPDATEDATE) {
        this.UPDATEDATE = UPDATEDATE;
    }
}
